From fdabc6a32b6c0295d174e2477876c947e0ce02b9 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Sep 28 2017 17:33:46 +0000
Subject: [PATCH 947/1001] Migrate to webpack 2+


---

diff --git a/hubs/static/client/.babelrc b/hubs/static/client/.babelrc
index aef231b..25043d0 100644
--- a/hubs/static/client/.babelrc
+++ b/hubs/static/client/.babelrc
@@ -1,5 +1,5 @@
 {
-  "presets" : ["es2015", "react", "stage-1"],
-  "plugins": ["transform-class-properties"]
+  "presets" : ["es2015", "react"],
+  "plugins": ["syntax-dynamic-import"]
 }
 
diff --git a/hubs/static/client/webpack.config.js b/hubs/static/client/webpack.config.js
index 532e978..efbe75b 100644
--- a/hubs/static/client/webpack.config.js
+++ b/hubs/static/client/webpack.config.js
@@ -23,14 +23,41 @@ const config = {
         'react-dom': 'ReactDOM',
     },
     module : {
-        loaders : [{
+        rules: [
+        {
+            test: /\.jsx?$/,
+            enforce: 'pre',
+            loader: 'eslint-loader',
+            options: {
+                emitWarning: true,
+            },
+            include : PATHS.app
+        },
+        {
             test : /\.jsx?$/,
-            loader : 'babel',
-            exclude: /(node_modules|bowercomponents)/,
+            loader : 'babel-loader',
+            options: {
+                cacheDirectory: true,
+            },
+            exclude: /node_modules/,
             include : PATHS.app
-        }]
+        },
+        {
+            test: /\.css$/,
+            use: [
+                'style-loader',
+                'css-loader'
+            ]
+        },
+        {
+            test: /\.(png|svg|jpg|gif)$/,
+            use: [ 'file-loader' ]
+        }
+        ]
     },
-    plugins: [ new webpack.optimize.CommonsChunkPlugin("common.js") ]
+    plugins: [
+        new webpack.optimize.CommonsChunkPlugin("common")
+    ]
 };
 
 module.exports = config;

